Skip to main content
GET
/
v3
/
{customerId}
/
BankingServices
/
GetNightlyRefreshStatus
Get Nightly Refresh Status
curl --request GET \
  --url https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetNightlyRefreshStatus \
  --header 'Authorization: <authorization>'
import requests

url = "https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetNightlyRefreshStatus"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/GetNightlyRefreshStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "HttpStatusCode": 200,
  "IneligibleCards": [
    {
      "LoginId": "d12c531b-9622-4477-38c5-08d779b6f27e",
      "LastRefreshDate": "2020-06-18T03:26:34.6854364",
      "LastRefreshState": "AnsweringSecurityChallenge",
      "LastRefreshErrorCode": null
    }
  ],
  "Message": "The login 'bb8b8569-3bfc-43c1-ae31-08d6de7f1675' is invalid.",
  "FlinksCode": "INVALID_REQUEST"
}
Use this endpoint to troubleshoot nightly refreshes that you have already set up using the /SetScheduledRefresh endpoint. The /GetNightlyRefreshStatus endpoint returns a list of all LoginIds that you’ve enabled nightly refresh for, but are not eligible for refreshes because they don’t meet all of the requirements. This endpoint returns a response that details why the account is ineligible. For every account presented in the response, have the user re-link the account through Flinks Connect.

You must authenticate first

Please note that you will need to provide a private Authentication key in order to use this endpoint. If you do not have one already provided, contact your Flinks Representative.

Headers

Authorization
string
default:Bearer <API_Secret>
required

Contains the Bearer Token (API secret key) that's provided by Flinks.

Path Parameters

customerId
string
default:43387ca6-0391-4c82-857d-70d95f087ecb
required

Unique GUID provided by Flinks.

Response

200 - application/json

Success

HttpStatusCode
integer

HTTP status code of the response.

IneligibleCards
object[]

Array of cards that are not eligible for nightly refresh.